/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is mozilla.org code.
 *
 * The Initial Developer of the Original Code is
 * Netscape Communications Corporation.
 * Portions created by the Initial Developer are Copyright (C) 1998-1999
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *   Joe Hewitt (hewitt@netscape.com)
 *   Jason Kersey (kerz@netscape.com)
 *   Pierre Chanial (chanial@noos.fr)
 *   Kevin Gerich (webmail@kmgerich.com)
 *   Pamela Greene (pamg.bugs@gmail.com)
 *   Dao Gottwald (dao@design-noir.de)
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

@import url("chrome://global/skin/");

@namespace url("http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");
@namespace html url("http://www.w3.org/1999/xhtml");

#main-window {
	-moz-appearance: none;
}

/* ----- SEARCH FIELD ----- */

#searchbar[empty="true"] .searchbar-textbox {
  color: GrayText;
}

#searchbar[empty="true"]  html|input {
  direction: ltr !important;
  text-align: left !important;
}

#wrapper-search-container #searchbar html|*.textbox-input {
  visibility: hidden;
}

/* ----- BOOKMARK BUTTONS ----- */	

.bookmark-item[container] {
  list-style-image: url("chrome://global/skin/tree/folder.png");
}

.query-item[container] {
  list-style-image: url("chrome://browser/skin/places/query.png");
}

toolbarbutton.bookmark-item:hover
{
  background: url("chrome://global/skin/toolbar/toolbarbutton-customhover-left.png") no-repeat left center;
}

toolbarbutton.bookmark-item:hover:active, toolbarbutton.bookmark-item[open="true"] {
  background:url("chrome://browser/skin/bookmark-open-left.png") no-repeat left center;
}

toolbarbutton.bookmark-item > label {
  margin-left: 7px;
}

toolbarbutton.bookmark-item:not([container]) > .toolbarbutton-text {
  padding-right: 7px;
}


toolbarbutton.bookmark-item:not([container]):hover > .toolbarbutton-text,
toolbarbutton.bookmark-item[container]:not([open]):hover > .toolbarbutton-menu-dropmarker 
{
  background: url("chrome://global/skin/toolbar/toolbarbutton-customhover-right.png") no-repeat right center;;
  color: #fff;
}

toolbarbutton.bookmark-item[container]:hover > .toolbarbutton-text
{
  background: url("chrome://global/skin/toolbar/toolbarbutton-customhover-mid.png") repeat-x;
  color: #fff;
}

toolbarbutton.bookmark-item:not([container]):hover:active  > .toolbarbutton-text,
toolbarbutton.bookmark-item[open] > .toolbarbutton-menu-dropmarker,
toolbarbutton.bookmark-item[container]:hover:active > .toolbarbutton-menu-dropmarker 
{
  background: url("chrome://browser/skin/bookmark-open-right.png") no-repeat right center;
}

toolbarbutton.bookmark-item[container]:hover:active  > .toolbarbutton-text,
toolbarbutton.bookmark-item[container][open="true"] > .toolbarbutton-text 
{
  background: url("chrome://browser/skin/bookmark-open-mid.png") repeat-x !important;
  color: #fff;
}

toolbarbutton.bookmark-item[type=menu] {
  padding-left: 7px;
}

toolbarbutton.bookmark-item[type=menu] > .toolbarbutton-menu-dropmarker {
  padding-right: 7px;
}

toolbarbutton.bookmark-item {
  margin: 1px;
  padding: 1px 0px 1px 7px;
  min-width: 0;
  max-width: 13em;
  font-weight: bold;
  color: #565656;
  border: none !important;
}

toolbarbutton.bookmark-item-microsummarized {
  max-width: 20em;
}

.bookmark-item > .toolbarbutton-icon {
  margin: 0px;
  display: none !important;
 
}

toolbarbutton.bookmark-item .toolbarbutton-text {
  font-size: 100% !important; 
  margin: 0px !important;
}

/* Prevent [mode="icons"] from hiding the label */
.bookmark-item > .toolbarbutton-text {
  display: -moz-box !important;
  height: 16px !important;
  padding-top: 1px;
}

.bookmark-item > .toolbarbutton-menu-dropmarker {
  list-style-image: url("chrome://browser/skin/places/folderDropArrow.png");
  height: 16px !important;
  padding: 5px 5px 4px 3px;
}

.bookmark-item:hover > .toolbarbutton-menu-dropmarker, .bookmark-item[open] > .toolbarbutton-menu-dropmarker  {
  list-style-image: url("chrome://browser/skin/places/folderDropHoverArrow.png");
}

.bookmark-item[livemark] > .toolbarbutton-menu-dropmarker {
  list-style-image: url("chrome://browser/skin/places/livemarkFolder.png");
  padding: 4px 4px 3px 2px;
}

.bookmark-item[livemark]:hover > .toolbarbutton-menu-dropmarker, .bookmark-item[livemark][open] > .toolbarbutton-menu-dropmarker {
  list-style-image: url("chrome://browser/skin/places/livemarkFolderHover.png");
}

.bookmark-item[livemark] {
  list-style-image: url("chrome://browser/skin/page-livemarks.png");
}

.bookmark-item[livemark] .menuitem-iconic {
  list-style-image: url("chrome://browser/skin/places/livemarkItem.png");
}

.bookmark-item menuitem[openInTabs],
.bookmark-item menuitem[siteURI] {
  list-style-image: none;
}

.toolbarpaletteitem-box[type="bookmarks-toolbar"][place="palette"] {
  background: url("chrome://browser/skin/bookmarks/Toolbar-bookmarks.png") no-repeat;
}

.bookmarks-toolbar-customize {
  display: none;
  max-width: 15em !important;
}

toolbarpaletteitem[place="toolbar"] .bookmarks-toolbar-customize {
  display: -moz-box;
}

toolbarpaletteitem[place="toolbar"] .bookmarks-toolbar-overflow-items {
  visibility: hidden;
}

toolbarpaletteitem[place="toolbar"] .bookmarks-toolbar-items {
  visibility: hidden;
}

toolbarpaletteitem[place="toolbar"] .places-toolbar-items {
  display: none;
}

/* ----- BOOKMARK MENUS ----- */	

.bookmark-item > .menu-iconic-left > .menu-iconic-icon {
  width: 16px;
  height: 16px;
}

/* ----- DRAG AND DROP STYLES ----- */	

.bookmark-item[dragover-left="true"] {
  -moz-border-left-colors: #000000;
}
.bookmark-item[dragover-right="true"] {
  -moz-border-right-colors: #000000;
}
.bookmark-item[dragover-top="true"] {
  -moz-border-top-colors: #000000;
}
.bookmark-item[dragover-bottom="true"] {
  -moz-border-bottom-colors: #000000;
}
/* ----- PRIMARY TOOLBAR BUTTONS ----- */	

.toolbarbutton-1 {
  min-width: 0px;
  list-style-image: url("chrome://browser/skin/Toolbar.png");
  -moz-box-orient: vertical;
}

toolbarbutton:not([disabled="true"]):hover,
menubutton:not([disabled="true"]):hover,
toolbarbutton:not([disabled="true"]):hover:active,
menubutton:not([disabled="true"]):hover:active {
  color: ButtonText !important;
}

/* set up extended binding for the back & forward buttons */
toolbar:not([mode="text"]) #back-button,
toolbar:not([mode="text"]) #forward-button {
  -moz-binding: url(chrome://browser/skin/browser.xml#bf-menu-button);
}

toolbar:not([mode="text"]) #back-button .toolbarbutton-menubutton-button,
toolbar:not([mode="text"]) #forward-button .toolbarbutton-menubutton-button {
  -moz-binding: url('chrome://global/content/bindings/toolbarbutton.xml#toolbarbutton-image');
  margin: 0;
  padding: 0;
  border-left: 0;
  border-right: 0;
}

toolbar:not([mode="text"]) #back-button .allowevents-box,
toolbar:not([mode="text"]) #forward-button .allowevents-box {
  -moz-binding: url(chrome://browser/skin/browser.xml#bf-menu-button-allowevents-box);
}

toolbar:not([mode="text"]) #back-button .toolbarbutton-menubutton-dropmarker,
toolbar:not([mode="text"]) #forward-button .toolbarbutton-menubutton-dropmarker {
  margin-top: 1px;
}

toolbar[mode="icons"] #back-button .toolbarbutton-text-box,
toolbar[mode="icons"] #forward-button .toolbarbutton-text-box {
  display: none;
}

/* ----- DEFAULT PRIMARY TOOLBAR BUTTONS ----- */	

/* ----- DEFAULT BACK BUTTON ----- */	

#back-button {
  -moz-image-region: rect(0px, 24px, 24px, 0px);
}
#back-button:hover,
#back-button[buttonover="true"] {
  -moz-image-region: rect(24px, 24px, 48px, 0px);
}
#back-button[disabled="true"] {
 -moz-image-region: rect(48px, 24px, 72px, 0px) !important;
}
#back-button:hover:active,
#back-button[buttondown="true"],
#back-button[open="true"] {
  -moz-image-region: rect(96px, 24px, 120px, 0px);
}

/* ----- DEFAULT BACK BUTTON DROPMARKER ----- */	

#back-button .toolbarbutton-menubutton-dropmarker {
  list-style-image: url("chrome://global/skin/toolbar/dropmark-nav.png");
  -moz-image-region: rect(0px, 14px, 24px, 0px);
}

#back-button:hover .toolbarbutton-menubutton-dropmarker, 
#back-button[buttonover="true"]  .toolbarbutton-menubutton-dropmarker {
  -moz-image-region: rect(24px, 14px, 48px, 0px);
}

#back-button[disabled="true"] .toolbarbutton-menubutton-dropmarker {
  list-style-image: url("chrome://global/skin/toolbar/dropmark-nav.png") !important;
  -moz-image-region: rect(48px, 14px, 72px, 0px) !important;
}

#back-button:hover:active .toolbarbutton-menubutton-dropmarker, 
#back-button[buttondown="true"] .toolbarbutton-menubutton-dropmarker,
#back-button[open="true"] .toolbarbutton-menubutton-dropmarker {
  -moz-image-region: rect(72px, 14px, 96px, 0px);
}

/* ----- DEFAULT FORWARD BUTTON ----- */	

#forward-button {
  -moz-image-region: rect(0px, 48px, 24px, 24px);
}
#forward-button:hover,
#forward-button[buttonover="true"] {
  -moz-image-region: rect(24px, 48px, 48px, 24px);
}
/* #forward-button[buttondown="true"], #forward-button[open="true"] {
  -moz-image-region: rect(32px, 64px, 64px, 32px);
} */
#forward-button[disabled="true"] {
 -moz-image-region: rect(48px, 48px, 72px, 24px) !important;
}
#forward-button:hover:active,
#forward-button[buttondown="true"],
#forward-button[open="true"] {
  -moz-image-region: rect(96px, 48px, 120px, 24px);
}

/* ----- DEFAULT FORWARD BUTTON DROPMARKER ----- */	

#forward-button .toolbarbutton-menubutton-dropmarker {
  list-style-image: url("chrome://global/skin/toolbar/dropmark-nav.png");
  -moz-image-region: rect(0px, 14px, 24px, 0px);
}
#forward-button:hover .toolbarbutton-menubutton-dropmarker, 
#forward-button[buttonover="true"] .toolbarbutton-menubutton-dropmarker {
  -moz-image-region: rect(24px, 14px, 48px, 0px);
}
#forward-button[disabled="true"] .toolbarbutton-menubutton-dropmarker {
  list-style-image: url("chrome://global/skin/toolbar/dropmark-nav.png") !important;
  -moz-image-region: rect(48px, 14px, 72px, 0px) !important;
}
#forward-button:hover:active .toolbarbutton-menubutton-dropmarker, 
#forward-button[buttondown="true"] .toolbarbutton-menubutton-dropmarker,
#forward-button[open="true"] .toolbarbutton-menubutton-dropmarker {
  -moz-image-region: rect(72px, 14px, 96px, 0px);
}

/* ----- DEFAULT STOP BUTTON ----- */	

#stop-button {
  -moz-image-region: rect(0px, 72px, 24px, 48px);
}
#stop-button:hover {
  -moz-image-region: rect(24px, 72px, 48px, 48px);
}
#stop-button[disabled="true"] {
  -moz-image-region: rect(48px, 72px, 72px, 48px) !important;
}
#stop-button:hover:active {
  -moz-image-region: rect(96px, 72px, 120px, 48px);
}

/* ----- DEFAULT RELOAD BUTTON ----- */	

#reload-button {
  -moz-image-region: rect(0px, 96px, 24px, 72px);
}
#reload-button:hover {
  -moz-image-region: rect(24px, 96px, 48px, 72px);
}
#reload-button[disabled="true"] {
  -moz-image-region: rect(48px, 96px, 72px, 72px) !important;
}
#reload-button:hover:active {
  -moz-image-region: rect(96px, 96px, 120px, 72px);
}

/* ----- DEFAULT HOME BUTTON ----- */	

#home-button {
  -moz-image-region: rect(0px, 120px, 24px, 96px);
}
#home-button:hover {
  -moz-image-region: rect(24px, 120px, 48px, 96px);
}
#home-button[disabled="true"] {
  -moz-image-region: rect(48px, 120px, 72px, 96px) !important;
}
#home-button:hover:active {
  -moz-image-region: rect(96px, 120px, 120px, 96px);
}

/* ----- DEFAULT DOWNLOADS BUTTON ----- */	

#downloads-button {
  -moz-image-region: rect(0px, 144px, 24px, 120px);
}
#downloads-button:hover {
  -moz-image-region: rect(24px, 144px, 48px, 120px);
}
#downloads-button[disabled="true"] {
  -moz-image-region: rect(48px, 144px, 72px, 120px);
}
#downloads-button:hover:active {
  -moz-image-region: rect(96px, 144px, 120px, 120px);
}

/* ----- DEFAULT HISTORY BUTTON ----- */	

#history-button {
  -moz-image-region: rect(0px, 168px, 24px, 144px);
}
#history-button:hover {
  -moz-image-region: rect(24px, 168px, 48px, 144px);
}
#history-button[disabled="true"] {
  -moz-image-region: rect(48px, 168px, 72px, 144px);
}
#history-button:hover:active,
#history-button[checked="true"] {
  -moz-image-region: rect(96px, 168px, 120px, 144px);
}

/* ----- DEFAULT BOOKMARKS BUTTON ----- */	

#bookmarks-button {
  -moz-image-region: rect(0px, 192px, 24px, 168px);
}
#bookmarks-button:hover {
  -moz-image-region: rect(24px, 192px, 48px, 168px);
}
#bookmarks-button[disabled="true"] {
  -moz-image-region: rect(48px, 192px, 72px, 168px);
}
#bookmarks-button:hover:active,
#bookmarks-button[checked="true"] {
  -moz-image-region: rect(96px, 192px, 120px, 168px);
}
/* ----- DEFAULT PRINT BUTTON ----- */	

#print-button {
  -moz-image-region: rect(0px, 216px, 24px, 192px);
}
#print-button:hover {
  -moz-image-region: rect(24px, 216px, 48px, 192px);
}
#print-button[disabled="true"] {
  -moz-image-region: rect(48px, 216px, 72px, 192px);
}
#print-button:hover:active {
  -moz-image-region: rect(96px, 216px, 120px, 192px);
}

/* ----- DEFAULT NEW-TAB BUTTON ----- */	

#new-tab-button {
  -moz-image-region: rect(0px, 240px, 24px, 216px);
}
#new-tab-button:hover {
  -moz-image-region: rect(24px, 240px, 48px, 216px);
}
#new-tab-button[disabled="true"] {
  -moz-image-region: rect(48px, 240px, 72px, 216px);
}
#new-tab-button:hover:active {
  -moz-image-region: rect(96px, 240px, 120px, 216px);
}

/* ----- DEFAULT NEW-WINDOW BUTTON ----- */	

#new-window-button {
  -moz-image-region: rect(0px, 264px, 24px, 240px);
}
#new-window-button:hover {
  -moz-image-region: rect(24px, 264px, 48px, 240px);
}
#new-window-button[disabled="true"] {
  -moz-image-region: rect(48px, 264px, 72px, 240px);
}
#new-window-button:hover:active {
  -moz-image-region: rect(96px, 264px, 120px, 240px);
}

/* ----- DEFAULT CUT BUTTON ----- */	

#cut-button {
  -moz-image-region: rect(0px, 288px, 24px, 264px);
}
#cut-button:hover {
  -moz-image-region: rect(24px, 288px, 48px, 264px);
}
#cut-button[disabled="true"] {
  -moz-image-region: rect(48px, 288px, 72px, 264px) !important;
}
#cut-button:hover:active,
#cut-button[checked="true"] {
  -moz-image-region: rect(96px, 288px, 120px, 264px);
}

/* ----- DEFAULT COPY BUTTON ----- */	

#copy-button {
  -moz-image-region: rect(0px, 312px, 24px, 288px);
}
#copy-button:hover {
  -moz-image-region: rect(24px, 312px, 48px, 288px);
}
#copy-button[disabled="true"] {
  -moz-image-region: rect(48px, 312px, 72px, 288px) !important;
}
#copy-button:hover:active,
#copy-button[checked="true"] {
  -moz-image-region: rect(96px, 312px, 120px, 288px);
}
/* ----- DEFAULT PASTE BUTTON ----- */	

#paste-button {
  -moz-image-region: rect(0px, 336px, 24px, 312px);
}
#paste-button:hover {
  -moz-image-region: rect(24px, 336px, 48px, 312px);
}
#paste-button[disabled="true"] {
  -moz-image-region: rect(48px, 336px, 72px, 312px) !important;
}
#paste-button:hover:active,
#copy-button[checked="true"] {
  -moz-image-region: rect(96px, 336px, 120px, 312px);
}


/* ----- SMALL PRIMARY TOOLBAR BUTTONS ----- */	

toolbar[iconsize="small"] .toolbarbutton-1 {
  list-style-image: url("chrome://browser/skin/Toolbar-small.png");
  padding: 1px 3px 1px 3px !important;
}

/* ----- SMALL BACK BUTTON ----- */

toolbar[iconsize="small"] #back-button {
  -moz-image-region: rect(0px, 16px, 16px, 0px);
}
toolbar[iconsize="small"] #back-button:hover {
  -moz-image-region: rect(16px, 16px, 32px, 0px);
}
toolbar[iconsize="small"] #back-button[disabled="true"] {
  -moz-image-region: rect(32px, 16px, 48px, 0px) !important;
}
toolbar[iconsize="small"] #back-button:hover:active,
toolbar[iconsize="small"] #back-button[buttondown="true"],
toolbar[iconsize="small"] #back-button[open="true"] {
  -moz-image-region: rect(64px, 16px, 80px, 0px);
}

/* ----- SMALL BACK BUTTON DROPMARKER ----- */

toolbar[iconsize="small"] #back-button .toolbarbutton-menubutton-dropmarker {
   margin-top: 0px;
  list-style-image: url("chrome://global/skin/toolbar/dropmark-nav-small.png");
  -moz-image-region: rect(0px, 14px, 16px, 0px);
}

toolbar[iconsize="small"] #back-button:hover .toolbarbutton-menubutton-dropmarker, 
toolbar[iconsize="small"] #back-button[buttonover="true"] .toolbarbutton-menubutton-dropmarker {
  -moz-image-region: rect(16px, 14px, 32px, 0px);
}

toolbar[iconsize="small"] #back-button[disabled="true"] .toolbarbutton-menubutton-dropmarker {
  list-style-image: url("chrome://global/skin/toolbar/dropmark-nav-small.png") !important;
  -moz-image-region: rect(32px, 14px, 48px, 0px) !important;
}

toolbar[iconsize="small"] #back-button:hover:active .toolbarbutton-menubutton-dropmarker, 
toolbar[iconsize="small"] #back-button[buttondown="true"] .toolbarbutton-menubutton-dropmarker,
toolbar[iconsize="small"] #back-button[open="true"] .toolbarbutton-menubutton-dropmarker {
  -moz-image-region: rect(48px, 14px, 64px, 0px);
}

/* ----- SMALL FORWARD BUTTON ----- */

toolbar[iconsize="small"] #forward-button {
  -moz-image-region: rect(0px, 32px, 16px, 16px);
}
toolbar[iconsize="small"] #forward-button:hover {
  -moz-image-region: rect(16px, 32px, 32px, 16px);
}
toolbar[iconsize="small"] #forward-button[disabled="true"] {
  -moz-image-region: rect(32px, 32px, 48px, 16px) !important;
}
toolbar[iconsize="small"] #forward-button:hover:active,
toolbar[iconsize="small"] #forward-button[buttondown="true"],
toolbar[iconsize="small"] #forward-button[open="true"] {
  -moz-image-region: rect(64px, 32px, 80px, 16px);
}

/* ----- SMALL FORWARD BUTTON DROPMARKER ----- */

toolbar[iconsize="small"] #forward-button .toolbarbutton-menubutton-dropmarker { 
  margin-top: 0px; 
  list-style-image: url("chrome://global/skin/toolbar/dropmark-nav-small.png");
  -moz-image-region: rect(0px, 14px, 16px, 0px);
}

toolbar[iconsize="small"] #forward-button:hover .toolbarbutton-menubutton-dropmarker, 
toolbar[iconsize="small"] #forward-button[buttonover="true"] .toolbarbutton-menubutton-dropmarker {
  -moz-image-region: rect(16px, 14px, 32px, 0px);
}

toolbar[iconsize="small"] #forward-button[disabled="true"] .toolbarbutton-menubutton-dropmarker {
  list-style-image: url("chrome://global/skin/toolbar/dropmark-nav-small.png") !important;
  -moz-image-region: rect(32px, 14px, 48px, 0px) !important;
}

toolbar[iconsize="small"] #forward-button:hover:active .toolbarbutton-menubutton-dropmarker, 
toolbar[iconsize="small"] #forward-button[buttondown="true"] .toolbarbutton-menubutton-dropmarker,
toolbar[iconsize="small"] #forward-button[open="true"] .toolbarbutton-menubutton-dropmarker {
  -moz-image-region: rect(48px, 14px, 64px, 0px);
}

/* ----- SMALL STOP BUTTON ----- */

toolbar[iconsize="small"] #stop-button {
  -moz-image-region: rect(0px, 48px, 16px, 32px);
}
toolbar[iconsize="small"] #stop-button:hover {
  -moz-image-region: rect(16px, 48px, 32px, 32px);
}
toolbar[iconsize="small"] #stop-button[disabled="true"] {
  -moz-image-region: rect(32px, 48px, 48px, 32px) !important;
}
toolbar[iconsize="small"] #stop-button:hover:active {
  -moz-image-region: rect(64px, 48px, 80px, 32px);
}
/* ----- SMALL RELOAD BUTTON ----- */

toolbar[iconsize="small"] #reload-button {
  -moz-image-region: rect(0px, 64px, 16px, 48px);
}
toolbar[iconsize="small"] #reload-button:hover {
  -moz-image-region: rect(16px, 64px, 32px, 48px);
}
toolbar[iconsize="small"] #reload-button[disabled="true"] {
  -moz-image-region: rect(32px, 64px, 48px, 48px) !important;
}
toolbar[iconsize="small"] #reload-button:hover:active {
  -moz-image-region: rect(64px, 64px, 80px, 48px);
}
/* ----- SMALL HOME BUTTON ----- */

toolbar[iconsize="small"] #home-button {
  -moz-image-region: rect(0px, 80px, 16px, 64px);
}
toolbar[iconsize="small"] #home-button:hover {
  -moz-image-region: rect(16px, 80px, 32px, 64px);
}
toolbar[iconsize="small"] #home-button[disabled="true"] {
  -moz-image-region: rect(32px, 80px, 48px, 64px) !important;
}
toolbar[iconsize="small"] #home-button:hover:active {
  -moz-image-region: rect(64px, 80px, 80px, 64px);
}
/* ----- SMALL DOWNLOAD MANAGER BUTTON ----- */

toolbar[iconsize="small"] #downloads-button {
  -moz-image-region: rect(0px, 96px, 16px, 80px);
}
toolbar[iconsize="small"] #downloads-button:hover {
  -moz-image-region: rect(16px, 96px, 32px, 80px);
}
toolbar[iconsize="small"] #downloads-button[disabled="true"] {
  -moz-image-region: rect(32px, 96px, 48px, 80px) !important;
}
toolbar[iconsize="small"] #downloads-button:hover:active {
  -moz-image-region: rect(64px, 96px, 80px, 80px);
}
/* ----- SMALL HISTORY SIDEBAR BUTTON ----- */

toolbar[iconsize="small"] #history-button {
  -moz-image-region: rect(0px, 112px, 16px, 96px);
}
toolbar[iconsize="small"] #history-button:hover {
  -moz-image-region: rect(16px, 112px, 32px, 96px);
}
toolbar[iconsize="small"] #history-button[disabled="true"] {
  -moz-image-region: rect(32px, 112px, 48px, 96px) !important;
}
toolbar[iconsize="small"] #history-button:hover:active {
  -moz-image-region: rect(64px, 112px, 80px, 96px);
}
/* ----- SMALL BOOKMARK SIDEBAR BUTTON ----- */

toolbar[iconsize="small"] #bookmarks-button {
  -moz-image-region: rect(0px, 128px, 16px, 112px);
}
toolbar[iconsize="small"] #bookmarks-button:hover {
  -moz-image-region: rect(16px, 128px, 32px, 112px);
}
toolbar[iconsize="small"] #bookmarks-button[disabled="true"] {
  -moz-image-region: rect(32px, 128px, 48px, 112px) !important;
}
toolbar[iconsize="small"] #bookmarks-button:hover:active {
  -moz-image-region: rect(64px, 128px, 80px, 112px);
}
/* ----- SMALL PRINT BUTTON ----- */

toolbar[iconsize="small"] #print-button {
  -moz-image-region: rect(0px, 144px, 16px, 128px);
}
toolbar[iconsize="small"] #print-button:hover {
  -moz-image-region: rect(16px, 144px, 32px, 128px);
}
toolbar[iconsize="small"] #print-button[disabled="true"] {
  -moz-image-region: rect(32px, 144px, 48px, 128px) !important;
}
toolbar[iconsize="small"] #print-button:hover:active {
  -moz-image-region: rect(64px, 144px, 80px, 128px);
}
/* ----- SMALL NEW TAB BUTTON ----- */

toolbar[iconsize="small"] #new-tab-button {
  -moz-image-region: rect(0px, 160px, 16px, 144px);
}
toolbar[iconsize="small"] #new-tab-button:hover {
  -moz-image-region: rect(16px, 160px, 32px, 144px);
}
toolbar[iconsize="small"] #new-tab-button[disabled="true"] {
  -moz-image-region: rect(32px, 160px, 48px, 144px) !important;
}
toolbar[iconsize="small"] #new-tab-button:hover:active {
  -moz-image-region: rect(64px, 160px, 80px, 144px);
}
/* ----- SMALL NEW WINDOW BUTTON ----- */

toolbar[iconsize="small"] #new-window-button {
  -moz-image-region: rect(0px, 176px, 16px, 160px);
}
toolbar[iconsize="small"] #new-window-button:hover {
  -moz-image-region: rect(16px, 176px, 32px, 160px);
}
toolbar[iconsize="small"] #new-window-button[disabled="true"] {
  -moz-image-region: rect(32px, 176px, 48px, 160px) !important;
}
toolbar[iconsize="small"] #new-window-button:hover:active {
  -moz-image-region: rect(64px, 176px, 80px, 160px);
}
/* ----- SMALL CUT BUTTON ----- */

toolbar[iconsize="small"] #cut-button {
  -moz-image-region: rect(0px, 192px, 16px, 176px);
}
toolbar[iconsize="small"] #cut-button:hover {
  -moz-image-region: rect(16px, 192px, 32px, 176px);
}
toolbar[iconsize="small"] #cut-button[disabled="true"] {
  -moz-image-region: rect(32px, 192px, 48px, 176px) !important;
}
toolbar[iconsize="small"] #cut-button:hover:active {
  -moz-image-region: rect(64px, 192px, 80px, 176px);
}
/* ----- SMALL COPY BUTTON ----- */

toolbar[iconsize="small"] #copy-button {
  -moz-image-region: rect(0px, 208px, 16px, 192px);
}
toolbar[iconsize="small"] #copy-button:hover {
  -moz-image-region: rect(16px, 208px, 32px, 192px);
}
toolbar[iconsize="small"] #copy-button[disabled="true"] {
  -moz-image-region: rect(32px, 208px, 48px, 192px) !important;
}
toolbar[iconsize="small"] #copy-button:hover:active {
  -moz-image-region: rect(64px, 208px, 80px, 192px);
}

/* ----- SMALL PASTE BUTTON ----- */

toolbar[iconsize="small"] #paste-button {
  -moz-image-region: rect(0px, 224px, 16px, 208px);
}
toolbar[iconsize="small"] #paste-button:hover {
  -moz-image-region: rect(16px, 224px, 32px, 208px);
}
toolbar[iconsize="small"] #paste-button[disabled="true"] {
  -moz-image-region: rect(32px, 224px, 48px, 208px) !important;
}
toolbar[iconsize="small"] #paste-button:hover:active {
  -moz-image-region: rect(64px, 224px, 80px, 208px);
}

/* ----- FULLSCREEN WINDOW CONTROLS ----- */

#window-controls {
  -moz-box-align: center;
  padding: 0 2px 0 4px;
}

#minimize-button {
  list-style-image: url("chrome://global/skin/icons/minimize.gif");
}
#restore-button {
  list-style-image: url("chrome://global/skin/icons/restore.gif");
}
#close-button {
  list-style-image: url("chrome://global/skin/icons/close.gif");
}

/* ::::: nav-bar-inner ::::: */

#urlbar {
  margin-top: 5px;
  margin-bottom: 5px;
  -moz-margin-start: 0px;
  -moz-margin-end: 0px;
  width: 7em;
  min-width: 7em;
  padding: 0px;
  font: icon !important;
}

#urlbar[level="high"] > .autocomplete-textbox-container,
#urlbar[level="low"] > .autocomplete-textbox-container
 {
  margin: -2px;
  padding: 2px;
  background: url("chrome://browser/skin/Secure-background.gif") #FFFED8 repeat-x;
  color: black !important;
}

#urlbar[level="high"] > .autocomplete-history-dropmarker,
#urlbar[level="low"] > .autocomplete-history-dropmarker
 {
  margin: -2px;
  padding: 2px 6px;
  background: url("chrome://browser/skin/Secure-background.gif") #FFFED8 repeat-x;
}

#urlbar-container {
  -moz-padding-end: 5px;
}

#wrapper-urlbar-container #urlbar {
  -moz-user-input: disabled;
  cursor: -moz-grab;
}

#wrapper-urlbar-container #urlbar > .autocomplete-history-dropmarker {
  display: none;
}

/* ----- PAGE PROXY ICON ----- */

#page-proxy-deck,
#page-proxy-favicon,
#page-proxy-button {
  width: 16px;
  height: 16px;
  margin: 0px;
  padding: 0px;
}

#page-proxy-deck {
  cursor: -moz-grab;
}

#page-proxy-favicon {
  list-style-image: none;
}

#page-proxy-button {
  list-style-image: url("chrome://mozapps/skin/places/defaultFavicon.png");
}

#page-proxy-button[pageproxystate="invalid"] {
  cursor: default;
  opacity: 0.5;
}


statusbarpanel#statusbar-display {
  padding-left: 0;
}

/* ----- AUTOCOMPLETE ----- */

.autocomplete-treebody::-moz-tree-image(favicon, treecolAutoCompleteValue) {
  width: 16px;
  height: 16px;
}

.autocomplete-treebody::-moz-tree-image(bookmark, treecolAutoCompleteValue) {
  width: 16px;
  height: 16px;
}

#treecolAutoCompleteImage {
 max-width : 36px; 
}

.autocomplete-treebody::-moz-tree-image(bookmark, treecolAutoCompleteImage) {
  list-style-image: url("chrome://browser/skin/places/pageStarred.png");
  width: 16px;
  height: 16px;
}

.autocomplete-treebody::-moz-tree-image(tag, treecolAutoCompleteImage) {
  list-style-image: url("chrome://browser/skin/places/tag.png");
  width: 16px;
  height: 16px;
}

.autocomplete-treebody::-moz-tree-cell-text(treecolAutoCompleteComment) {
  color: #555566;
}

.autocomplete-treebody::-moz-tree-cell-text(suggesthint, treecolAutoCompleteComment), 
.autocomplete-treebody::-moz-tree-cell-text(suggestfirst, treecolAutoCompleteComment) 
{
  color: GrayText;
  font-size: smaller;
}

.autocomplete-treebody::-moz-tree-cell(suggesthint) {
  border-top: 1px solid GrayText;
}

/* ----- GO BUTTON ----- */

#go-button {
  -moz-appearance: none;
  background-color: transparent;
  margin: 0;
  padding: 0;
  height: 24px;
  border-left: 0 !important;
  min-width: 0;
  list-style-image: url("chrome://browser/skin/Go.png");
  -moz-image-region: rect(0px, 25px, 22px, 0px);
}

.go-button-background {
  list-style-image: none;
}

#go-button:hover {
  -moz-image-region: rect(0px, 50px, 22px, 25px);
}

#go-button[disabled="true"] {
  -moz-image-region: rect(0px, 75px, 22px, 50px);
}

#go-button:hover:active {
  -moz-image-region: rect(0px, 100px, 22px, 75px);
}

toolbar:not([mode="text"]) #go-button,
toolbar:not([mode="text"]) .search-go-button,
toolbarpaletteitem:not([place="toolbar"]) #go-button,
toolbarpaletteitem:not([place="toolbar"]) .search-go-button {
  -moz-binding: url(chrome://global/content/bindings/toolbarbutton.xml#toolbarbutton-image);
}

#go-button > .button-box {
  border: none;
}

#go-button > .toolbarbutton-icon {
  padding: 0px;
}

/* STAR BUTTON */
#star-button {
  list-style-image: url("chrome://browser/skin/places/starPage.png");
  margin: 0;
  padding: 0;
  max-width: 0;
  height: 24px;
}

#star-button > .toolbarbutton-icon {
  padding: 2px 2px 2px 0;
  border: 1px solid #A3A3A3;
  border-left: 0;
  background: url("chrome://global/skin/10pct_transparent_grey.png") repeat;
}

#star-button[starred="true"] {
  list-style-image: url("chrome://browser/skin/places/pageStarred.png");
}

/* ----- SIDEBAR ELEMENTS ----- */

sidebarheader {
	border-bottom: 1px solid #A3A3A3;
        background: url("chrome://global/skin/inset_gradient_1px.png") repeat !important;
}

#sidebar-box {
  -moz-appearance: dialog;
}

#sidebar-splitter {
	 border-right: 1px solid #8e8e8e;
         border-left: 1px solid #bebebe;
         background-color: #ececec;
} 

#sidebar-title {
  font: icon;
  color: #000;
}

#sidebar-throbber[loading="true"] {
  list-style-image: url("chrome://global/skin/icons/loading_16.gif");
}

sidebarheader > .tabs-closebutton > .toolbarbutton-text {
  display: none;
}

/* ----- SECURITY DISPLAY ----- */

#security-button {
  display: none;
  -moz-box-direction: reverse;
}

#security-button[level="high"] {
  list-style-image: url("chrome://browser/skin/Secure-statusbar.png");
  display: -moz-box;
}

#security-button[level="low"] {
  list-style-image: url("chrome://browser/skin/Secure-statusbar.png");
  display: -moz-box;
}

#security-button[level="broken"] {
  list-style-image: url("chrome://browser/skin/Secure-statusbar-broken.png");
  display: -moz-box;
}

/* ----- PAGE REPORT DISPLAY ----- */

#page-report-button {
  display: none;
}

#page-report-button[blocked] {
  display: -moz-box;
  list-style-image: url("chrome://browser/skin/Popup-blocked.png");
  padding: 0px 3px 0px 3px;
}

/* ----- FEED CONTENT DISPLAY ---- */

#feed-button, #feed-button > .button-box,
#feed-button:hover:active > .button-box {
  padding: 0px;
  margin: -1px;
  border: 0px; 
  background-color: transparent;
}

#feed-button .button-menu-dropmarker,
#feed-button .button-text {
  display: none;
}

#feed-button {
  -moz-binding: url("chrome://global/content/bindings/button.xml#menu");
  -moz-appearance: none; 
  min-width: 0;
  min-height: 0;
  margin-right: 1px !important;
}

#feed-button[feeds] {
  list-style-image: url("chrome://browser/skin/livemark-item.png");
  -moz-image-region: rect(0px, 36px, 18px, 18px);
}
#feed-button[feeds]:hover {
  -moz-image-region: rect(18px, 36px, 36px, 18px);
}
#feed-button[feeds]:active {
  -moz-image-region: rect(54px, 36px, 72px, 18px);
}

/* ----- THROBBER ----- */

#navigator-throbber {
  -moz-appearance: none;
  -moz-user-focus: ignore;
  -moz-box-pack: center;
  margin: 0px 1px 0px 1px !important;
  border: none !important;
  padding: 0px !important;
  min-width: 0;
  background-color: transparent;
  list-style-image: url("chrome://global/skin/icons/notloading_16.png");
  padding: 8px !important;
  
}

/* XXXmano: hack until we figure out why the throbber uses a button instead
   of a toolbarbutton */
#navigator-throbber .button-text {
  display: none;
  margin: 0 !important;
}

#navigator-throbber[busy="true"] {
  list-style-image: url("chrome://global/skin/icons/loading_16.gif");
}

toolbar[iconsize="small"] #navigator-throbber,
toolbar[mode="text"] #navigator-throbber {
  list-style-image: url("chrome://global/skin/icons/notloading_16.png");
  padding: 4px !important;
}
toolbar[iconsize="small"] #navigator-throbber[busy="true"],
toolbar[mode="text"] #navigator-throbber[busy="true"] {
  list-style-image: url("chrome://global/skin/icons/loading_16.gif");
}

toolbarbutton.chevron {
  list-style-image: url("chrome://global/skin/icons/chevron.png") !important;
}


toolbarbutton.chevron > .toolbarbutton-menu-dropmarker {
  display: none;
}


#nav-bar {
  background-image: none;
}

.bookmark-item {
  list-style-image: url("chrome://mozapps/skin/places/defaultFavicon.png");
}

.openintabs-menuitem {
  list-style-image: none;
}

/* ::::: tabbrowser ::::: */

.tabbrowser-tab:not([selected="true"]):hover {
  background: url("chrome://browser/skin/tabbrowser/tabbrowser-tabs-bkgnd.png") repeat-x;
}

.tabbrowser-tab:hover > .tab-image-middle > .tab-icon > .tab-extra-status {
  background: none;
}

.tab-icon-image {
  width: 16px;
  height: 16px;
  list-style-image: url("chrome://global/skin/icons/small-globe-sunken.png");
}

.tab-icon {
  padding-top: 1px;
  margin: 2px 0px 1px 0px;
}

.tab-text {
  font: icon;
  padding-top: 1px;
  margin-top: 2px !important;
}

.tabbrowser-tab[busy] > .tab-icon-image,
.tabbrowser-tab[busy] > .tab-image-middle > .tab-icon > .tab-icon-image {
 list-style-image: url("chrome://global/skin/icons/loading_16_grey.gif") !important; 
}

.tabbrowser-tab {
  -moz-appearance: none;
  color: #383838;
  -moz-box-pack: center;
  margin: 2px 0px 3px 0px;
  padding: 0px;
  border: none !important;
  height: 22px !important;
  min-width: 1px !important;
  text-align: center;
}

.tabbrowser-tab[selected="true"] {
  -moz-user-focus: normal;
}

.tabbrowser-tab[selected="true"] > .tab-image-middle > .tab-icon {
  cursor: -moz-grab;
}

.tabbrowser-tab > .tab-image-middle > .tab-text {
  border: 1.4pt solid transparent;
}

.tabbrowser-tab:focus > .tab-image-middle > .tab-text {
  border: 1.4pt solid -moz-mac-focusring;
}

.tabbrowser-tab[selected="true"], .tabbrowser-tab:hover {
  color: #000000;
}

.tab-image-left, .tab-image-right {
  width: 8px;
  margin: 0px;
  padding: 0px;
}

.tabbrowser-tab > .tab-image-right {
  background: url("chrome://browser/skin/tabbrowser/tab-right.png") no-repeat;
}

.tabbrowser-tab:not([selected="true"]) > .tab-image-right {
  background: url("chrome://browser/skin/tabbrowser/tab-right-bkgnd.png") no-repeat;
  margin-bottom: 1px;
}

.tabbrowser-tab:hover:not([selected="true"]) > .tab-image-right {
  background: url("chrome://browser/skin/tabbrowser/tab-right-hover.png") no-repeat;
}

.tabbrowser-tab > .tab-image-left {
  background: url("chrome://browser/skin/tabbrowser/tab-left.png") no-repeat;
}

.tabbrowser-tab:not([selected="true"]) > .tab-image-left {
  background: url("chrome://browser/skin/tabbrowser/tab-left-bkgnd.png") no-repeat;
  margin-bottom: 1px;
}

.tabbrowser-tab:hover:not([selected="true"]) > .tab-image-left {
  background: url("chrome://browser/skin/tabbrowser/tab-left-hover.png") no-repeat;
}

.tabbrowser-tab > .tab-image-middle {
  background: url("chrome://browser/skin/tabbrowser/tab-middle.png") repeat-x;
  -moz-box-flex: 0 !important;
}

.tabbrowser-tab:not([selected="true"]) > .tab-image-middle {
  background: url("chrome://browser/skin/tabbrowser/tab-middle-bkgnd.png");
  margin-bottom: 1px;
}

.tabbrowser-tab:hover:not([selected="true"]) > .tab-image-middle {
  background: url("chrome://browser/skin/tabbrowser/tab-middle-hover.png");
}

.tabbrowser-tab:not([selected="true"]) > .tab-image-middle > .tab-icon > .tab-icon-image  {
  list-style-image: url("chrome://global/skin/icons/small-globe-sunken-grey.png");
}

.tabs-closebutton {
  padding: 0px 4px 2px 0px;
  margin: 0px;
  list-style-image: url("chrome://global/skin/icons/closetab.png") !important;
  border: none !important;
}

.tabs-closebutton:hover {
  list-style-image: url("chrome://global/skin/icons/closetab-hover.png") !important;
  border: none !important;
}

.tabs-closebutton:hover:active {
  list-style-image: url("chrome://global/skin/icons/closetab-active.png") !important;
  border: none !important;
}

.tabbrowser-strip {
  -moz-box-orient: vertical !important;
  -moz-appearance: dialog;
}

.tabbrowser-tabs {
  border: none;
  padding: 0;
  margin: 0;
  -moz-box-pack: center;
  -moz-box-align: center;
  background: url("chrome://browser/skin/tabbrowser/tabbrowser-tabs-bkgnd.png") repeat-x;
}

.tab-image-right, .tab-image-left {
  height: 18px !important;
}

.tabs-bottom {
  border: none;
  height: 4px !important;
  background: url("chrome://browser/skin/tabbrowser/tabs-bottom-bg.png") repeat !important;
  margin: 0px !important;
}

.tabs-left {
  display: -moz-box;
  width: 3px;
}

.tabbrowser-tabs[overflow="true"] .tabs-left {
  display: none;
}

tabbrowser > tabbox > tabpanels {
  -moz-appearance: none !important;
}

/**
 * Tab Drag and Drop
 */

.tab-drop-indicator-bar {
  height: 10px;
  margin-top: -10px;
  position: relative;
  /* set -moz-margin-start to -1/2 indicator width: */
  -moz-margin-start: -4px;
}

.tab-drop-indicator {
  height: 10px;
  width: 8px;
  margin-bottom: -5px;
  position: relative;
  background: url('chrome://browser/skin/tabbrowser/tabDragIndicator.png') 50% 50% no-repeat;
}

/**
 * In-tab close button
 */

.tab-close-button > .toolbarbutton-icon {
  -moz-margin-end: 0px !important;
  margin-top: 2px;
}

.tab-close-button {
  list-style-image: url("chrome://global/skin/icons/closetab.png");
  -moz-appearance: none;
  border: none !important;
  padding: 0px;
  background: inherit;
  cursor: default;
}

.tab-close-button:hover,
.tabbrowser-tab[selected="true"] > .tab-close-button:hover {
  list-style-image: url("chrome://global/skin/icons/closetab-hover.png");
}

.tab-close-button:hover:active,
.tabbrowser-tab[selected="true"] > .tab-close-button:hover:active {
  list-style-image: url("chrome://global/skin/icons/closetab-active.png");
}

.tabbrowser-tab > .tab-close-button {
  background-image: url("chrome://browser/skin/tabbrowser/tab-middle.png");
  background-repeat: repeat-x;
  -moz-margin-start: -5px;
  -moz-margin-end: -1px;
  -moz-padding-end: 0px;
}

.tabbrowser-tab[selected="true"] > .tab-close-button {
  /* Make this button focusable so clicking on it will not focus the tab while
     it's getting closed */
  -moz-user-focus: normal;
}

.tabbrowser-tab:not([selected="true"]) > .tab-close-button {
  background-image: url("chrome://browser/skin/tabbrowser/tab-middle-bkgnd.png");
  margin-bottom: 1px;
}

.tabbrowser-tab:not([selected="true"]):hover > .tab-close-button {
  background-image: url("chrome://browser/skin/tabbrowser/tab-middle-hover.png");
}

/**
 * Tab Scrollbox Arrow Buttons
 */

.tabbrowser-arrowscrollbox > .scrollbutton-up {
  width: 18px;
  height: 18px;
  margin: 2px 0px 3px 0px;
  padding-left: 0;
  padding-right: 0;
  border: none;
  list-style-image: url("chrome://browser/skin/tabbrowser/tab-arrow-start.png");
  background-image: url("chrome://browser/skin/tabbrowser/tab-arrow-start-bkgnd.png");
  background-repeat: no-repeat;
  -moz-image-region: rect(0, 11px, 14px, 0);
  opacity: 0.65;
}

.tabbrowser-arrowscrollbox > .scrollbutton-up[disabled="true"] {
  -moz-image-region: rect(0, 33px, 14px, 22px);
}

.tabbrowser-arrowscrollbox > .scrollbutton-up:not([disabled="true"]):hover {
  -moz-image-region: rect(0, 22px, 14px, 11px);
  opacity: 1.0;
}
 
.tabbrowser-arrowscrollbox > .scrollbutton-up:not([disabled="true"]):hover:active {
  -moz-image-region: rect(0, 44px, 14px, 33px);
}

.tabbrowser-arrowscrollbox > .scrollbutton-up > .toolbarbutton-icon {
  margin-top: 4px;
}

.tabbrowser-arrowscrollbox > stack > .scrollbutton-down-box {
  margin: 2px 0px 3px 0px;
  width: 18px;
  height: 18px;
  background-image: url("chrome://browser/skin/tabbrowser/tab-arrow-end-bkgnd.png") !important;
  background-repeat: no-repeat;
  opacity: 0.65;
}

.tabbrowser-arrowscrollbox > stack > .scrollbutton-down-box-animate {
  margin: 2px 0px 3px 0px;
  width: 18px;
  height: 18px;
  background-image: url("chrome://browser/skin/tabbrowser/tab-arrow-end-bkgnd-animate.png") !important;
  background-repeat: no-repeat;
  opacity: 0.0;
}

.tabbrowser-arrowscrollbox > stack > .scrollbutton-down {
  margin: 2px 0px 3px 0px;
  width: 18px;
  height: 18px;
  padding-left: 0;
  padding-right: 0;
  border: none;
  list-style-image: url("chrome://browser/skin/tabbrowser/tab-arrow-end.png") !important;
  -moz-image-region: rect(0, 11px, 14px, 0);
}

.tabbrowser-arrowscrollbox > stack > .scrollbutton-down[disabled="true"] {
  -moz-image-region: rect(0, 33px, 14px, 22px);
}

.tabbrowser-arrowscrollbox > stack > .scrollbutton-down:not([disabled="true"]):hover {
  background-image: url("chrome://browser/skin/tabbrowser/tab-arrow-end-bkgnd.png") !important;
  background-repeat: no-repeat;
  -moz-image-region: rect(0, 22px, 14px, 11px);
}

.tabbrowser-arrowscrollbox > stack > .scrollbutton-down:not([disabled="true"]):hover:active {
  -moz-image-region: rect(0, 44px, 14px, 33px);
}

.tabbrowser-arrowscrollbox > stack > .scrollbutton-down > .toolbarbutton-icon {
  margin-top: 4px;
  -moz-margin-start: 1px;
}

/**
 * All Tabs Button
 */

.tabs-alltabs-box {
  margin: 2px 0px 3px 0px;
  width: 16px;
  height: 18px;
  background-image: url("chrome://browser/skin/tabbrowser/alltabs-box-bkgnd.png");
  background-repeat: no-repeat;
  opacity: 0.65;
}

.tabbrowser-tabs[overflow="true"] .tabs-alltabs-box {
  background-image: url("chrome://browser/skin/tabbrowser/alltabs-box-overflow-bkgnd.png");
}

.tabs-alltabs-button {
  margin: 2px 0px 3px 0px;
  width: 16px;
  height: 18px;
  padding-left: 0;
  padding-right: 0;
  border: none;
}

.tabs-alltabs-button  > .toolbarbutton-menu-dropmarker {
  margin-right: 2px;
  margin-top: 4px;
}

.tabs-alltabs-button  > .toolbarbutton-text {
  display: none;
}

.tabs-alltabs-button > .toolbarbutton-icon {
  -moz-margin-end: 2px;
}

.tabs-alltabs-button:hover {
  margin: 2px 0px 3px 0px;
  background-image: url("chrome://browser/skin/tabbrowser/alltabs-box-bkgnd.png");
  background-repeat: no-repeat;
  opacity: 1.0;
}

.tabbrowser-tabs[overflow="true"] .tabs-alltabs-button:hover {
  background-image: url("chrome://browser/skin/tabbrowser/alltabs-box-overflow-bkgnd.png");
}

.tabs-alltabs-box-animate {
  margin: 2px 0px 3px 0px;
  width: 16px;
  height: 18px;
  background-image: url("chrome://browser/skin/tabbrowser/alltabs-box-overflow-bkgnd-animate.png");
  background-repeat: no-repeat;
  opacity: 0.0;
}

/**
 * All Tabs Menupopup 
 */

.alltabs-item > .menu-iconic-left > .menu-iconic-icon {
  list-style-image: url("chrome://global/skin/icons/small-globe-sunken.png");
}

.alltabs-item[selected="true"] {
  font-weight: bold;
}

.alltabs-item[busy] > .menu-iconic-left > .menu-iconic-icon {
  list-style-image: url("chrome://global/skin/icons/loading_16_grey.gif") !important;
}

.tabs-closebutton {
  padding-right: 4px;
  list-style-image: url("chrome://global/skin/icons/closetab.png") !important;
  list-style-image: none;
  border: none;
}

.tabs-closebutton:hover > .toolbarbutton-icon {
	background-image: none !important;
}

.tabs-closebutton:hover {
  list-style-image: url("chrome://global/skin/icons/closetab-hover.png") !important;
}

.tabs-closebutton:hover:active {
	list-style-image: url("chrome://global/skin/icons/closetab-active.png") !important;
}

tabpanels.plain {
	background-color: #fff !important;
}

/* Personal toolbar */
.toolbar-drop-indicator {
  height: 16px;
  width: 5px;
  margin-bottom: -8px;
  position: relative;
  background: url('chrome://browser/skin/places/toolbarDropMarker.png') 50% 50% no-repeat;
}

.toolbar-drop-indicator-bar {
  visibility: hidden;
  height: 16px;
  margin-bottom: -16px;
  margin-left: 4px;
  position: relative;
}

.toolbar-drop-indicator-bar[dragging="true"] {
  visibility: visible;
}

toolbarbutton.bookmark-item[dragover="true"][open="true"] {
  -moz-appearance: none;
  background: Highlight !important;
  color: HighlightText !important;
  list-style-image: url('chrome://browser/skin/places/folderDragOver.png') !important;
  -moz-image-region: rect(0px, 16px, 16px, 0px) !important;
}

.bookmark-item[dragover-into="true"] {
  background: Highlight !important;
  color: HighlightText !important;
}

.bookmark-item[dragover-top="true"] {
  -moz-border-top-colors: #000000;
}

.bookmark-item[dragover-bottom="true"] {
  -moz-border-bottom-colors: #000000;
}

#CustomizeToolbarSheet > #main-box {
  border-top: none !important;
  border-left: 2px solid;
  border-right: 2px solid;
  border-bottom: 3px solid;
  -moz-border-right-colors: -moz-mac-menushadow ThreeDLightShadow  !important;
  -moz-border-bottom-colors: -moz-mac-menushadow -moz-mac-menushadow ThreeDShadow  !important;
  -moz-border-left-colors: ThreeDLightShadow ThreeDHighlight !important;
}

/* ::::: Identity Indicator Styling ::::: */
/* Location bar visuals*/
#identity-box {
  /* Extend our margins out so that our highlight/separator bar covers the
    location bar properly */
  margin: -1px 0 -2px;
  padding: 1px 2px 2px 0;
  border-right: 1px solid #888;
  background-color: white;
  opacity: 0.9;
}

#identity-box:hover {
  opacity: 1.0;
}

#identity-box.verifiedIdentity {
  background-color: #BFA;
}

#urlbar[level="high"] > #identity-box,
#urlbar[level="low"] > #identity-box {
  /* urlbar adds padding when security level is set, which we need to
  counteract here so that we still fill the background.  */
  margin: -2px;
  padding: 1px 2px 2px;
}

#identity-icon-label {
    padding: 2px 2px 0;
    margin: 0;
    color: black;
    vertical-align: middle;
}

.unknownIdentity > #identity-icon-label {
    display: none;
}

/* Popup Icons */
#identity-popup-icon {
    height: 64px;
    width: 64px;
    padding: 0;
    margin: 10px 0 0;
    list-style-image: url("chrome://browser/skin/identity.png");
    -moz-image-region: rect(0px, 64px, 64px, 0px);
}

.verifiedDomain > #identity-popup-container > #identity-popup-icon {
    -moz-image-region: rect(64px, 64px, 128px, 0px);
}

.verifiedIdentity > #identity-popup-container > #identity-popup-icon {
    -moz-image-region: rect(128px, 64px, 192px, 0px);
}

/* Popup Title */
#identity-popup-title {
    font-size: 120%;
    font-weight: bold;
}

.verifiedIdentity > #identity-popup-title {
    color: #6A6;
}

.unknownIdentity > #identity-popup-title {
    color: #999;
}

.verifiedDomain > #identity-popup-title {
    color: black;
}

/* Popup Body Text */
#identity-popup-content-box > description,
#identity-popup-encryption-label {
    white-space: -moz-pre-wrap;
    color: black;
    padding-left: 10px;
}

#identity-popup-content {
    padding-top: 5px;
    margin-bottom: 0;
    max-width: 200px;
}

.verifiedIdentity > #identity-popup-content,
.verifiedDomain > #identity-popup-content {
   font-size: 140%;
   font-weight: bold;
   max-width: 300px;
}

#identity-popup-encryption {
  margin: 10px 0;
}

.verifiedIdentity > #identity-popup-encryption > * > #identity-popup-encryption-icon,
.verifiedDomain > #identity-popup-encryption > * >#identity-popup-encryption-icon {
  list-style-image: url("chrome://browser/skin/Secure.png");
  -moz-image-region: rect(0px, 18px, 18px, 0px);
}

/* Popup Bounding Box */
#identity-popup-container {
    background-image: none;
    background-color: white;
    min-width: 280px;
    padding: 10px;
}
